.map-center-maker {
  pointer-events: none;
  position: absolute;
  top: 50%;
  left: 50%;
  width: 0;
  height: 0;

  .map-marker {
    color: rgb(var(--bs-red-400-rgb));
    font-size: 1rem !important;
    pointer-events: none;
    display: flex;

    &-editable .svg-inline--fa {
      position: absolute;
      width: 36px;
      height: 48px;
      left: calc(50% - 18px);
      top: calc(50% - 48px);
    }
  }

  .map-marker-toast {
    margin: auto;
    opacity: 0;
    background-color: var(--bs-white);
    border-color: var(--bs-secondary-bg);
    position: relative;
    top: -170px;
    left: -128px;
    text-align: center;
    animation-name: marker-message-fade-in-out;
    animation-duration: 7s;

    &, .popover-custom, .popover-body {
      width: 260px;
    }

    .popover-arrow {
      // transform: translate3d(0px, 110px, 0);
      transform: translate3d(-2px, 0px, 0);
      margin-left: calc(50% - 9px);
    }

    p {
      margin: 0;
    }
  }
}

@keyframes marker-message-fade-in-out {
  0%   {opacity: 0;}
  5%   {opacity: 0;}
  10%  {opacity: 1;}
  80%  {opacity: 1;}
  100% {opacity: 0;}
}